From a596444836a656fd62f0b565947b2e5497fc88bc Mon Sep 17 00:00:00 2001
From: Raymond Toy <toy.raymond@gmail.com>
Date: Tue, 23 Jan 2018 20:20:54 -0800
Subject: [PATCH] Fixes for cmucl

bin/build-utils.sh:
* Temporarily turn off -batch

clx/dependent.lisp:
* WITH-ARRAY-DATA is in the LISP package, not KERNEL

clx/provide.lisp:
* For cmucl, don't compile anything else after (provide :clx)
---
 bin/build-utils.sh     | 2 +-
 src/clx/dependent.lisp | 2 +-
 src/clx/provide.lisp   | 3 +++
 3 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/bin/build-utils.sh b/bin/build-utils.sh
index 18d6f60e2..5f7671f80 100755
--- a/bin/build-utils.sh
+++ b/bin/build-utils.sh
@@ -16,7 +16,7 @@ TARGET="`echo $1 | sed 's:/*$::'`"
 shift
 
 $TARGET/lisp/lisp \
-	-noinit -nositeinit -batch "$@" <<EOF || exit 3
+	-noinit -nositeinit "$@" <<EOF || exit 3
 (in-package :cl-user)
 
 (setf lisp::*enable-package-locked-errors* nil)
diff --git a/src/clx/dependent.lisp b/src/clx/dependent.lisp
index c63af8ef5..1334fa059 100644
--- a/src/clx/dependent.lisp
+++ b/src/clx/dependent.lisp
@@ -2942,7 +2942,7 @@ Returns a list of (host display-number screen protocol)."
 (defmacro with-underlying-simple-vector 
     ((variable element-type pixarray) &body body)
   (declare (ignore element-type))
-  `(#+cmu kernel::with-array-data #+sbcl sb-kernel:with-array-data
+  `(#+cmu lisp::with-array-data #+sbcl sb-kernel:with-array-data
     ((,variable ,pixarray) (start) (end))
     (declare (ignore start end))
     ,@body))
diff --git a/src/clx/provide.lisp b/src/clx/provide.lisp
index 410948257..208e42d69 100644
--- a/src/clx/provide.lisp
+++ b/src/clx/provide.lisp
@@ -18,6 +18,8 @@
 
 (provide :clx)
 
+#-cmu
+(progn
 (defvar *clx-source-pathname*
 	(pathname "/src/local/clx/*.l"))
 
@@ -49,3 +51,4 @@
 (if *compile-clx*
     (compile-clx *clx-source-pathname* *clx-binary-pathname*)
   (load-clx *clx-binary-pathname*))
+)
\ No newline at end of file
-- 
GitLab